/******************************************************************************/
/* Files da includere                                                          */
/******************************************************************************/


#include <xc.h>        
#include <stdint.h>       
#include <stdbool.h>       

#include "header.h"


/******************************************************************************/
/* Variabili                                                                  */
/******************************************************************************/

unsigned char dato=0;

/******************************************************************************/
/* Interrupt                                                                  */
/******************************************************************************/

//Alta Priorit
void interrupt high_isr(void)
{
}

//Bassa priorit
void low_priority interrupt low_isr(void)
{
}


void main(void)
{
    //Inizializza il PIC
    InitApp();
    //Invia questo testo al PC solo all'inizio
    stampaTesto("Ciao Programmatore!!! ");
    stampaTesto("Invia un carattere e il pierin te lo rimandera'! \n");
    stampaTesto("\n");
    //Ciclo infinito
    while(1)
    {            
        while(!RC1IF);
        RD6=1;              //Segnalo con il led LD1 che il PIC ha ricevuto un dato
        dato=RCREG1;        //Salvo il carattere nella variabile dato
        stampaTesto("Il Pierin ha ricevuto: ");     //Invio al PC una stringa
        while(!TX1IF);      //Controllo e attendo che il PIC abbia finito di trasmettere
        TXREG1=dato;        //e invio il carattere appena ricevuto
        stampaTesto("\n");  //Vado a capo
        RD6=0;              //Spengo il led
    }
}

